org.eclnt.jsfserver.elements

## Class BaseComponent

- java.lang.Object
- - UIComponentBase
  - - org.eclnt.jsfserver.elements.BaseComponent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BaseActionComponent, BaseHTMLComponent

      public abstract class BaseComponent
      extends UIComponentBase
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BaseComponent.DecodePassData`
    `static interface` | `BaseComponent.IEventQueue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean[]` | `m_attributesIsDynamicInfo`
    `protected boolean[]` | `m_attributesIsManagedViaAdapterBinding`
    `protected boolean[]` | `m_attributesReferenceInfo`
    `protected java.util.Set<java.lang.String>` | `m_attributesSetViaStyle`
    `protected boolean[]` | `m_attributesTakeOverInfo`
    `protected java.lang.Object[]` | `m_currentDump`
    `protected java.util.Set<java.lang.String>` | `m_explicitlyNulledAttributes`
    `protected long` | `m_lastDumpRequestSequenceId`
    `protected java.lang.Object[]` | `m_previousDump`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `m_styleValues`
    `protected java.util.List<java.lang.String>` | `m_tagAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseComponent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExplicitlyNulledAttribute(java.lang.String attribute)`
    `protected void` | `addValueBindingExec(FacesContext context, java.lang.Object vb, java.lang.Object value, boolean flagSetMayFail)` Add value binding that is executed in the apply values phase.
    `protected void` | `addValueExpressionExec(org.eclnt.jsfserver.elements.BaseComponent.SetValueExec vbe)` Add value binding that is executed in the apply values phase.
    `protected void` | `appendDecodeInformation(java.util.List<BaseComponent.DecodePassData> decodeInfos)` Components can add own values to be transferred within the decode phase.
    `protected java.util.Set<java.lang.String>` | `applyChangedStyleVariant()`
    `protected void` | `buildAttributesIsDynamicInfo(java.util.List<java.lang.String> tagAttributes)`
    `boolean` | `checkIfAttributeIsExplicitlyNulled(java.lang.String attribute)`
    `boolean` | `checkIfAttributesIsManagedByExpression(java.lang.String name)`
    `protected boolean` | `checkIfComponentHasAdapterBinding()` Check if component has adapter binding.
    `protected boolean` | `checkIfComponentIdIsPartOfRequest(java.lang.String clientId)`
    `boolean` | `checkIfComponentTagIsAvailable()`
    `boolean` | `checkIfEncodeCalledFirstTime()`
    `protected boolean` | `checkIfStyleVariantIsDynamic()`
    `protected boolean` | `checkIfStyleVariantWasUpdated()`
    `protected boolean` | `checkIfToTakeOverAttribute(java.lang.String attributeName)` In the decode phase the implementation takes over all attributes defined in the JSP file into the generated page.
    `protected java.lang.String` | `convertValueDuringDecode(java.lang.String value)` Gives implementations the chance to convert an incoming value to specific needs.
    `protected java.lang.Object` | `convertValueDuringGetAttribute(java.lang.String attribute, java.lang.Object value)` Possibility to override and change the value.
    `int` | `createNewIdCounter()`
    `java.lang.String` | `createSubId()`
    `java.lang.String` | `createSubId(java.lang.String sub)` Creates an id for components that are created within this component.
    `void` | `decode(FacesContext context)`
    `protected void` | `destroy()`
    `protected void` | `detectChangesInSubComponents(java.io.Writer writer, ComponentDump cd)` This methods checks if there was any change below the component that makes it necessary to mark this component as changed within the XML output.
    `void` | `encodeBegin(FacesContext context)`
    `void` | `encodeChildren(FacesContext context)`
    `void` | `encodeEnd(FacesContext context)`
    `static void` | `ensureSessionIsValid(HttpSession session)`
    `protected void` | `executeQueueingOfBufferedEvents()` Called by PAGEADDONS / HTPAGEADDONS2 component at end of page processing.
    `protected java.util.List<ValueManager.NameValue>` | `findContentReplaceListDuringRendering()` This method returns the current content replacement list that is built up during the recursive rendering of controls during the rendering phase.
    `protected ComponentDump` | `findCurrentDump(FacesContext context)`
    `IComponentAdapterBinding` | `getAdapterBindingAterEncodeBegin()`
    `java.lang.Object` | `getApplicationReference()`
    `java.lang.Object` | `getAttributeFromAdapterBinding(IComponentAdapterBinding adapterBinding, java.lang.String attribute)` Central method for receiving value from component adapter binding
    `java.lang.Object` | `getAttributeFromAdapterBinding(java.lang.String attribute)`
    `java.lang.Object` | `getAttributesGet(java.lang.String attribute)` Central method for getting value of an attribute.
    `java.lang.Object` | `getAttributesGet(java.lang.String attribute, boolean viaAttributes)` Central method for getting value of an attribute.
    `java.util.Set<java.lang.String>` | `getAttributesSetViaStyle()`
    `java.lang.String` | `getAttributeString(java.lang.String name)`
    `java.lang.String` | `getAttributeValueAsString(java.lang.String attribute)`
    `UIComponent` | `getChild(int index)` Convenience method to retrieve child - return null if index does not fit.
    `java.lang.String` | `getClientTagName()`
    `protected IComponentAdapterBinding` | `getComponentAdapterBinding()` Access component adapter binding.
    `protected java.lang.Class` | `getComponentClass()`
    `java.lang.Object` | `getExpressionFromComponentAttribute(java.lang.String attributeName)` Returns the expression object (binding object!
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getInnerEventRequestId()` This is the requet id of the last request that either manipulated data or called an action listener within this component.
    `java.lang.String` | `getOriginalAttributeString(java.lang.String name)` Returns the original attribute string that is defined in the corresponding jsp page.
    `protected java.lang.String` | `getParameterNameForDecode(FacesContext context)` Returns the name of the parameter that is used for decoding the request's data.
    `protected java.lang.Class` | `getPreferredDataType()` When passing a value into a value binding then by default the value binding is asked for its data type.
    `boolean` | `getRendersChildren()`
    `protected java.lang.Object` | `getSavedState(FacesContext context, BaseComponent bc)`
    `java.util.List<java.lang.String>` | `getTagAttributes()` Returns a list of all attributes that could potencially be maintained with this component.
    `protected boolean` | `isDestroyed()`
    `boolean` | `isRendered()`
    `protected ComponentRepository` | `m_componentRepository()`
    `void` | `passPropertyUsage(java.util.Set<java.lang.String> propertiesExplicitlySet, java.util.List<java.lang.String> propertiesUsed, java.util.List<java.lang.String> propertiesFix, java.util.List<java.lang.String> propertiesExpression, java.util.Map<java.lang.String,java.lang.String> originalAttributes)` With this method the `BaseComponentTag` object passes information which properties are used in which way.
    `void` | `passStyleValues(java.lang.String styleVariant, java.util.Map<java.lang.String,java.lang.String> values, java.util.Set<java.lang.String> attributesSetViaStyle)`
    `void` | `processDecodes(FacesContext context)`
    `void` | `processUpdates(FacesContext context)`
    `void` | `processValidators(FacesContext context)`
    `void` | `queueEvent(FacesEvent event)`
    `protected void` | `queueEventExecute(FacesEvent event)`
    `void` | `reactOnSetPropertiesByTagFinished()`
    `protected java.lang.Object` | `readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding(java.lang.String attributeName)`
    `protected ComponentDump` | `readCurrentComponentDump(FacesContext context)`
    `protected java.lang.String` | `readDefaultUpdateAttribute()`
    `protected ComponentDump` | `readPreviousComponentDump(FacesContext context)`
    `protected java.util.List<java.lang.String>` | `readTagAttributes()`
    `protected java.util.Set<java.lang.String>` | `readTagAttributesSet()`
    `void` | `registerInnerEvent(java.lang.String requestId)` Any event is "registered" on the level, where it occurs - and delegated to the next level.
    `void` | `renderComponentNoChange(FacesContext context, ResponseWriter writer, ComponentDump currentDump)` In case of using event isolation inside ROWINCLUDE components may be rendered in a way, so that the client directly sees that there was no change within the component.
    `void` | `resetInternalAttributeBuffer()`
    `void` | `resetPreviousDump()`
    `java.lang.String` | `resolveComponentValueAsString(boolean convertHTML)`
    `void` | `restoreState(FacesContext context, java.lang.Object state)`
    `protected java.lang.Object` | `retrieveValueFromComponent(java.lang.String attribute)` The component may have some special rules for passing the value.
    `java.lang.Object` | `saveState(FacesContext context)`
    `void` | `setApplicationReference(java.lang.Object value)` A component can get an application reference which is typically used in the case of using component binding with a managed bean - and here especially when used inside grid processing.
    `void` | `setAttributeValueFromOutside(java.lang.String attributeName, java.lang.Object attributeValue)` If directly manipulating attribute values of a component...: this is the (only!)
    `void` | `setComponentBinding(java.lang.String binding)`
    `protected void` | `setCurrentComponentDump(ComponentDump cd)` Used of for special inheriting classes (e.g. grid).
    `void` | `setExpressionAsComponentAttributeFromOutside(java.lang.String attributeName, java.lang.Object expressionObject)`
    `void` | `setParent(UIComponent parent)`
    `void` | `setRendered(boolean rendered)`
    `void` | `setRendersChildren(boolean value)`
    `protected void` | `updateAttributeValue(FacesContext context, java.lang.String attributeName, java.lang.String value, java.lang.Class preferredType, boolean inUpdatePhase, boolean flagSetMayFail)` Helper method: either set the value binding or the attribute.
    `protected void` | `updateComponentBinding(FacesContext context)` done with every request

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_lastDumpRequestSequenceId

          protected long m_lastDumpRequestSequenceId

    - #### m_previousDump

          protected java.lang.Object[] m_previousDump

    - #### m_currentDump

          protected java.lang.Object[] m_currentDump

    - #### m_tagAttributes

          protected java.util.List<java.lang.String> m_tagAttributes

    - #### m_attributesTakeOverInfo

          protected boolean[] m_attributesTakeOverInfo

    - #### m_attributesReferenceInfo

          protected boolean[] m_attributesReferenceInfo

    - #### m_attributesIsDynamicInfo

          protected boolean[] m_attributesIsDynamicInfo

    - #### m_attributesIsManagedViaAdapterBinding

          protected boolean[] m_attributesIsManagedViaAdapterBinding

    - #### m_styleValues

          protected java.util.Map<java.lang.String,java.lang.String> m_styleValues

    - #### m_attributesSetViaStyle

          protected java.util.Set<java.lang.String> m_attributesSetViaStyle

    - #### m_explicitlyNulledAttributes

          protected java.util.Set<java.lang.String> m_explicitlyNulledAttributes

  - ### Constructor Detail

    - #### BaseComponent

          public BaseComponent()

  - ### Method Detail

    - #### saveState

          public java.lang.Object saveState(FacesContext context)

    - #### restoreState

          public void restoreState(FacesContext context,
                                   java.lang.Object state)

    - #### m_componentRepository

          protected ComponentRepository m_componentRepository()

    - #### addExplicitlyNulledAttribute

          public void addExplicitlyNulledAttribute(java.lang.String attribute)

    - #### checkIfAttributeIsExplicitlyNulled

          public boolean checkIfAttributeIsExplicitlyNulled(java.lang.String attribute)

    - #### passStyleValues

          public void passStyleValues(java.lang.String styleVariant,
                                      java.util.Map<java.lang.String,java.lang.String> values,
                                      java.util.Set<java.lang.String> attributesSetViaStyle)

    - #### getAttributesSetViaStyle

          public java.util.Set<java.lang.String> getAttributesSetViaStyle()

    - #### getClientTagName

          public java.lang.String getClientTagName()

    - #### getAdapterBindingAterEncodeBegin

          public IComponentAdapterBinding getAdapterBindingAterEncodeBegin()

    - #### getOriginalAttributeString

          public java.lang.String getOriginalAttributeString(java.lang.String name)

      Returns the original attribute string that is defined in the corresponding jsp page. Due to content replacement the attribute string value for an expression may be quite different at runtime, than it is defined in the jsp page. This method passes back the expression string, as defined originally.

    - #### registerInnerEvent

          public void registerInnerEvent(java.lang.String requestId)

      Any event is "registered" on the level, where it occurs - and delegated to the next level.

    - #### getInnerEventRequestId

          public java.lang.String getInnerEventRequestId()

      This is the requet id of the last request that either manipulated data or called an action listener within this component.

    - #### setApplicationReference

          public void setApplicationReference(java.lang.Object value)

      A component can get an application reference which is typically used in the case of using component binding with a managed bean - and here especially when used inside grid processing.

    - #### getApplicationReference

          public java.lang.Object getApplicationReference()

    - #### getRendersChildren

          public boolean getRendersChildren()

    - #### setRendersChildren

          public void setRendersChildren(boolean value)

    - #### setRendered

          public void setRendered(boolean rendered)

    - #### getFamily

          public java.lang.String getFamily()

    - #### passPropertyUsage

          public void passPropertyUsage(java.util.Set<java.lang.String> propertiesExplicitlySet,
                                        java.util.List<java.lang.String> propertiesUsed,
                                        java.util.List<java.lang.String> propertiesFix,
                                        java.util.List<java.lang.String> propertiesExpression,
                                        java.util.Map<java.lang.String,java.lang.String> originalAttributes)

      With this method the `BaseComponentTag` object passes information which properties are used in which way.
      Parameters:
        `propertiesUsed` - All the properties that are used.
        `propertiesFix` - All properties with fix value definitions
        `propertiesExpression` - All properties with expression value definitions

    - #### resetPreviousDump

          public void resetPreviousDump()

    - #### encodeBegin

          public void encodeBegin(FacesContext context)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(FacesContext context)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### detectChangesInSubComponents

          protected void detectChangesInSubComponents(java.io.Writer writer,
                                                      ComponentDump cd)

      This methods checks if there was any change below the component that makes it necessary to mark this component as changed within the XML output. For this purpose every sub-component holds a sequence counter: if not rendered then this sequence counter is set to "-1" if rendered then the first component has sequence counter 0, the next one 1, etc.

    - #### encodeChildren

          public void encodeChildren(FacesContext context)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getParameterNameForDecode

          protected java.lang.String getParameterNameForDecode(FacesContext context)

      Returns the name of the parameter that is used for decoding the request's data. Typically is the clientid, but some controls (HTRADIOBUTTON...) define it in a different way.

    - #### appendDecodeInformation

          protected void appendDecodeInformation(java.util.List<BaseComponent.DecodePassData> decodeInfos)

      Components can add own values to be transferred within the decode phase.

    - #### processDecodes

          public void processDecodes(FacesContext context)

    - #### processValidators

          public void processValidators(FacesContext context)

    - #### decode

          public void decode(FacesContext context)

    - #### getTagAttributes

          public java.util.List<java.lang.String> getTagAttributes()

      Returns a list of all attributes that could potencially be maintained with this component.

    - #### addValueBindingExec

          protected void addValueBindingExec(FacesContext context,
                                             java.lang.Object vb,
                                             java.lang.Object value,
                                             boolean flagSetMayFail)

      Add value binding that is executed in the apply values phase.

    - #### addValueExpressionExec

          protected void addValueExpressionExec(org.eclnt.jsfserver.elements.BaseComponent.SetValueExec vbe)

      Add value binding that is executed in the apply values phase.

    - #### setParent

          public void setParent(UIComponent parent)

    - #### destroy

          protected void destroy()

    - #### isDestroyed

          protected boolean isDestroyed()

    - #### processUpdates

          public void processUpdates(FacesContext context)

    - #### setAttributeValueFromOutside

          public void setAttributeValueFromOutside(java.lang.String attributeName,
                                                   java.lang.Object attributeValue)

      If directly manipulating attribute values of a component...: this is the (only!) way to do it!

    - #### resetInternalAttributeBuffer

          public final void resetInternalAttributeBuffer()

    - #### renderComponentNoChange

          public void renderComponentNoChange(FacesContext context,
                                              ResponseWriter writer,
                                              ComponentDump currentDump)
                                       throws java.io.IOException

      In case of using event isolation inside ROWINCLUDE components may be rendered in a way, so that the client directly sees that there was no change within the component.
      This method needs to be overridden, if a component does not directly render itself into corresponding GUI components.
      Throws:
        `java.io.IOException`

    - #### convertValueDuringDecode

          protected java.lang.String convertValueDuringDecode(java.lang.String value)

      Gives implementations the chance to convert an incoming value to specific needs.

    - #### getAttributeValueAsString

          public java.lang.String getAttributeValueAsString(java.lang.String attribute)

    - #### readTagAttributesSet

          protected java.util.Set<java.lang.String> readTagAttributesSet()

    - #### readTagAttributes

          protected java.util.List<java.lang.String> readTagAttributes()

    - #### readDefaultUpdateAttribute

          protected java.lang.String readDefaultUpdateAttribute()

    - #### reactOnSetPropertiesByTagFinished

          public void reactOnSetPropertiesByTagFinished()

    - #### setComponentBinding

          public void setComponentBinding(java.lang.String binding)

    - #### updateComponentBinding

          protected void updateComponentBinding(FacesContext context)

      done with every request

    - #### checkIfToTakeOverAttribute

          protected boolean checkIfToTakeOverAttribute(java.lang.String attributeName)

      In the decode phase the implementation takes over all attributes defined in the JSP file into the generated page. By this method you may decide not to take over certain attributes.
      Parameters:
        `attributeName` -
        `attributeValue` -
      Returns:
        true ==> take over, false ==> do not take over

    - #### buildAttributesIsDynamicInfo

          protected void buildAttributesIsDynamicInfo(java.util.List<java.lang.String> tagAttributes)

    - #### createSubId

          public java.lang.String createSubId(java.lang.String sub)

      Creates an id for components that are created within this component. The creation of an id in a proper way is important for allowing the layout editor to find an original id when clicking onto a component.

    - #### createSubId

          public java.lang.String createSubId()

    - #### createNewIdCounter

          public int createNewIdCounter()

    - #### getAttributeString

          public java.lang.String getAttributeString(java.lang.String name)

      Returns:
        The attribute as it is specified by the user: if the user defined an expression then the expression string is passed back, not the evaluated result of the expression.

    - #### checkIfAttributesIsManagedByExpression

          public boolean checkIfAttributesIsManagedByExpression(java.lang.String name)

    - #### getChild

          public UIComponent getChild(int index)

      Convenience method to retrieve child - return null if index does not fit.

    - #### readCurrentComponentDump

          protected ComponentDump readCurrentComponentDump(FacesContext context)

    - #### readPreviousComponentDump

          protected ComponentDump readPreviousComponentDump(FacesContext context)

    - #### getPreferredDataType

          protected java.lang.Class getPreferredDataType()

      When passing a value into a value binding then by default the value binding is asked for its data type. In case of hash tables it may happen that the value binding returns null as data type, because the corresponding hash table is not yet filled. In this case this method is asked for a preferred data type. This implementation always passes back "String.class", implementations can override this method and pass a more adequate one.

    - #### updateAttributeValue

          protected void updateAttributeValue(FacesContext context,
                                              java.lang.String attributeName,
                                              java.lang.String value,
                                              java.lang.Class preferredType,
                                              boolean inUpdatePhase,
                                              boolean flagSetMayFail)

      Helper method: either set the value binding or the attribute.

    - #### ensureSessionIsValid

          public static void ensureSessionIsValid(HttpSession session)

    - #### resolveComponentValueAsString

          public java.lang.String resolveComponentValueAsString(boolean convertHTML)

    - #### getAttributesGet

          public final java.lang.Object getAttributesGet(java.lang.String attribute)

      Central method for getting value of an attribute.
      Parameters:
        `viaAttributes` - false => default - the attribute value is either directly defined or the attribute value has a corresponding value expression.

    - #### getAttributesGet

          public java.lang.Object getAttributesGet(java.lang.String attribute,
                                                   boolean viaAttributes)

      Central method for getting value of an attribute.
      Parameters:
        `viaAttributes` - true => default - the attribute value is either directly defined or the attribute value has a corresponding value expression.
        false => read the attribute via adapter binding

    - #### retrieveValueFromComponent

          protected java.lang.Object retrieveValueFromComponent(java.lang.String attribute)

      The component may have some special rules for passing the value. Example: FIELD-TEXTELECTIONINFO.
      Returns:
        Default: null - this means everything processed as normal

    - #### convertValueDuringGetAttribute

          protected java.lang.Object convertValueDuringGetAttribute(java.lang.String attribute,
                                                                    java.lang.Object value)

      Possibility to override and change the value.

    - #### getAttributeFromAdapterBinding

          public java.lang.Object getAttributeFromAdapterBinding(java.lang.String attribute)

    - #### getAttributeFromAdapterBinding

          public java.lang.Object getAttributeFromAdapterBinding(IComponentAdapterBinding adapterBinding,
                                                                 java.lang.String attribute)

      Central method for receiving value from component adapter binding
      Parameters:
        `attributeName` -
      Returns:

    - #### getExpressionFromComponentAttribute

          public java.lang.Object getExpressionFromComponentAttribute(java.lang.String attributeName)

      Returns the expression object (binding object! - not the expression string!!!) of the attribute.

    - #### setExpressionAsComponentAttributeFromOutside

          public void setExpressionAsComponentAttributeFromOutside(java.lang.String attributeName,
                                                                   java.lang.Object expressionObject)

    - #### readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding

          protected java.lang.Object readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding(java.lang.String attributeName)

    - #### isRendered

          public boolean isRendered()

    - #### getSavedState

          protected java.lang.Object getSavedState(FacesContext context,
                                                   BaseComponent bc)

    - #### findCurrentDump

          protected final ComponentDump findCurrentDump(FacesContext context)

    - #### findContentReplaceListDuringRendering

          protected java.util.List<ValueManager.NameValue> findContentReplaceListDuringRendering()

      This method returns the current content replacement list that is built up during the recursive rendering of controls during the rendering phase.
      If only returns valid results if being called in this phase!
      The result can be passed into newly created components, in order to update their expressions, see: {@link BaseComponentTag#defineContentReplacements(List).

    - #### queueEvent

          public final void queueEvent(FacesEvent event)

    - #### queueEventExecute

          protected final void queueEventExecute(FacesEvent event)

    - #### applyChangedStyleVariant

          protected java.util.Set<java.lang.String> applyChangedStyleVariant()

    - #### checkIfComponentHasAdapterBinding

          protected boolean checkIfComponentHasAdapterBinding()

      Check if component has adapter binding.

    - #### getComponentAdapterBinding

          protected IComponentAdapterBinding getComponentAdapterBinding()

      Access component adapter binding.

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Returns:
        This the class for internally accessing all the meta data for the component. In case of SC_* components the result is different to the own class.

    - #### checkIfComponentTagIsAvailable

          public boolean checkIfComponentTagIsAvailable()

      Returns:
        Definition if a tag class is available for this component. By default this is true, for special types of components (SC_*) this is not true.

    - #### checkIfEncodeCalledFirstTime

          public boolean checkIfEncodeCalledFirstTime()

    - #### checkIfStyleVariantWasUpdated

          protected boolean checkIfStyleVariantWasUpdated()

    - #### checkIfStyleVariantIsDynamic

          protected boolean checkIfStyleVariantIsDynamic()

    - #### setCurrentComponentDump

          protected void setCurrentComponentDump(ComponentDump cd)

      Used of for special inheriting classes (e.g. grid).

    - #### executeQueueingOfBufferedEvents

          protected void executeQueueingOfBufferedEvents()

      Called by PAGEADDONS / HTPAGEADDONS2 component at end of page processing. The events are now transferred to the "real" event processing of JSF. Before they are sorted by priority.

    - #### checkIfComponentIdIsPartOfRequest

          protected boolean checkIfComponentIdIsPartOfRequest(java.lang.String clientId)

Copyright © CaptainCasa Gmbh. All Rights Reserved.